//*----------------------------------------------------------------------------
//*         ATMEL Microcontroller Software Support  -  ROUSSET  -
//*----------------------------------------------------------------------------
//* The software is delivered "AS IS" without warranty or condition of any
//* kind, either express, implied or statutory. This includes without
//* limitation any warranty or condition with respect to merchantability or
//* fitness for any particular purpose, or against the infringements of
//* intellectual property rights of others.
//*----------------------------------------------------------------------------
//* File Name           : global.c
//* Object              : Globals values are set to 0 and global functions are describes here
//* Creation            : SYO
//*----------------------------------------------------------------------------

// Include Standard files
#define  GLOBAL
#include "common.h"
#include "global.h"


//*--------------------------------------------------------------------------------------
//* Function Name       	: Var_Init
//* Object              	: Initialyse all globals variables
//* Input Parameters    : none. 
//* Output Parameters  : none
//*--------------------------------------------------------------------------------------
void Var_Init (void)
{
        spi_Rdrf_Flag = 0;
	spi_Tdre_Flag = 0;
	spi_Modf_Flag = 0;
	spi_Ovred_Flag = 0;
	spi_Nssr_Flag = 0;
	spi_Txempty_Flag = 0;
	spi_Spiens_Flag = 0;
	spi_Endrx_Flag = 0;
	spi_Endtx_Flag = 0;
	spi_Rxbuff_Flag = 0;
	spi_Txbuff_Flag = 0;
	spi_Status = 0;
}

 
//*--------------------------------------------------------------------------------------
//* Function Name       : Wait
//* Object              : Software waiting loop
//* Input Parameters    : Speed
//* Output Parameters   : none
//*--------------------------------------------------------------------------------------
void Wait (unsigned long Speed)
{
    unsigned long waiting_time;
    
    for(waiting_time = 0; waiting_time < Speed; waiting_time++);
}
