//*----------------------------------------------------------------------------
//*         ATMEL Microcontroller Software Support  -  ROUSSET  -
//*----------------------------------------------------------------------------
//* The software is delivered "AS IS" without warranty or condition of any
//* kind, either express, implied or statutory. This includes without
//* limitation any warranty or condition with respect to merchantability or
//* fitness for any particular purpose, or against the infringements of
//* intellectual property rights of others.
//*----------------------------------------------------------------------------
//* File Name           : spi_slave.c
//* Object                : SPi slave application written in C
//* 1.0 24/01/06 SYO	: Creation
//*----------------------------------------------------------------------------

// Include Standard files
#include "Board.h"

// #define  GLOBAL
#include "global.h"
#include "common.h"
#include "handler.h"
#include "spi_slave.h"
#include "spi_main.h"


unsigned char Spi_Slave (void)
{
	unsigned char error;
	AT91PS_SPI     pSPI = AT91C_BASE_SPI;

        error = 0;

	AT91F_SPI_Open ();	

	// Cfg SPI MR
		// SPI is in slave mode
	        pSPI -> SPI_MR = AT91C_SPI_MODFDIS;
	
	// Cfg CSR = 
		// SPCK active high + Data sampled on the falling edge of SPCK + 
		AT91F_Set_SPI_CSR (AT91C_BASE_SPI, (0 +  0 + AT91C_SPI_BITS_8), CSR0);	
	
	AT91F_SPI_Send_Data (AT91C_BASE_SPI, 0xA5A5);
	if ((AT91F_SPI_Read_Data (AT91C_BASE_SPI) & 0xFF) != 0x5A5A)
                error ++;
	while (spi_Tdre_Flag == 0);
	
	
	AT91F_SPI_Open ();
	// Cfg SPI MR
		// SPI is in slave mode
	        pSPI -> SPI_MR = AT91C_SPI_MODFDIS;
	
	// Cfg CSR = 
		// SPCK active low + Data sampled on the falling edge of SPCK + 
		AT91F_Set_SPI_CSR (AT91C_BASE_SPI, (AT91C_SPI_CPOL +  AT91C_SPI_NCPHA + AT91C_SPI_BITS_16), CSR0);	
	
	AT91F_SPI_Send_Data (AT91C_BASE_SPI, 0x5A5A);	
	if ((AT91F_SPI_Read_Data (AT91C_BASE_SPI) & 0xFFFF) != 0xA5A5)
	        error ++;
	
	while (spi_Tdre_Flag == 0);	
	
	return error;
}



